Bug 259396 - [MAINTAINER] comms/rubygem-serialport: Update to 1.3.2
Summary: [MAINTAINER] comms/rubygem-serialport: Update to 1.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-24 10:00 UTC by Thibault Jouan
Modified: 2021-11-07 23:48 UTC (History)
2 users (show)

See Also:
yasu: merge-quarterly-


Attachments
update to 1.3.2 (1.87 KB, patch)
2021-10-24 10:00 UTC, Thibault Jouan
tj+freebsd_ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault Jouan 2021-10-24 10:00:27 UTC
Created attachment 228979 [details]
update to 1.3.2

This new version fixes Ruby 2.7 deprecation, and works with Ruby 3.
It was using rb_secure() C API which is removed in Ruby 3.

  I would like the port to be updated with attached patch. I used this
opportunity to make other small changes addressing portlint warnings.

  Thanks!
Comment 1 Yasuhiro Kimura freebsd_committer 2021-11-07 23:26:03 UTC
Take.
Comment 2 Yasuhiro Kimura freebsd_committer 2021-11-07 23:41:17 UTC
I remembered currently devel/ruby-gems is broken with Ruby 3.0. So merging this update to quarterly branch is meaningless.
Comment 3 commit-hook freebsd_committer 2021-11-07 23:46:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1e999eb5b665ad2f58512755ffb89a05b494df58

commit 1e999eb5b665ad2f58512755ffb89a05b494df58
Author:     Thibault Jouan <tj@a13.fr>
AuthorDate: 2020-12-28 13:00:21 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-07 23:44:36 +0000

    comms/rubygem-serialport: Update to 1.3.2

    This version supports Ruby 3.0.

    While here,

    * Switch to DISTVERSION
    * Pet portlint

    Changes:        https://github.com/hparra/ruby-serialport/commits/v1.3.2
    PR:             259396

 comms/rubygem-serialport/Makefile | 5 ++---
 comms/rubygem-serialport/distinfo | 6 +++---
 2 files changed, 5 insertions(+), 6 deletions(-)
Comment 4 Yasuhiro Kimura freebsd_committer 2021-11-07 23:48:12 UTC
Committed. Thanks!